Bug 162896 - OOo can't create files on my cifs mounts
OOo can't create files on my cifs mounts
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-07-11 10:35 EDT by Maxim Britov
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 17:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot (80.22 KB, image/png)
2005-07-11 10:54 EDT, Maxim Britov
no flags Details

  None (edit)
Description Maxim Britov 2005-07-11 10:35:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b2) Gecko/20050531 Firefox/1.0+

Description of problem:
I have cifs mount point from win2000 server.
When I try do "save as..." OO take me error message.

PS. I can create files from gedit/gnumeric (i had tryed).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.open OOo Calc (or writer, or another component)
2.press File - Save as... - select cifs mount point
3.save file as "111" for example

Actual Results:  error message

Expected Results:  saved file

Additional info:

one times OOo was able to write file. hm...
I'm not often use OOo.
Comment 1 Caolan McNamara 2005-07-11 10:43:28 EDT
well, what's the error message ?
Comment 2 Maxim Britov 2005-07-11 10:54:15 EDT
Created attachment 116603 [details]

on mount point OOo create file with 0 bytes lenght.
Comment 3 Caolan McNamara 2005-07-11 11:53:33 EDT
caolanm->fenlason: I don't have any windows machines to verify this problem, can
you see it ?
Comment 4 Maxim Britov 2005-09-01 09:40:59 EDT
it seems OOo creates files as root.root :(
Comment 5 Maxim Britov 2005-09-01 09:43:17 EDT
$ ls -l /mnt/docums/*test*
-rw-rw-r--  1 maxim maxim 0 Сен  1 16:42 /mnt/docums/gedit-test
-rw-rw-r--  1 root  root  0 Сен  1 16:43 /mnt/docums/swriter-test.odt
Comment 6 Maxim Britov 2005-10-05 11:11:01 EDT
openoffice.org-core-2.0.0-1.2.2 still reproducible

I can change options in fstab, but i lost 1 documetn with this.
Any other programs on my box seems forks fine with my cifs mounts.
Comment 7 Jay Fenlason 2005-10-05 11:21:12 EDT
I don't see any actual Samba here, just OOo and the kernel.  I'm guessing the 
problem is in the kernel CIFS module, but it could be OOo's fault. 
Comment 8 Maxim Britov 2005-10-05 11:36:12 EDT
kernel is 2.6.14-rc2 from kernel.org now.
And as i said it only for OOo reproducible. gedit for example create files fine.
$ls -l said just:
-rw-rw-r--  1 maxim maxim   11 Oct  5 18:31 delmetest
-rw-rw-r--  1 maxim maxim 1403 Oct  5 18:36 delmetest.gnumeric
-rwxrwSrwt  1 root  root     0 Окт  5 17:56 delmetest.ods
1st is gedit, 2nd is gnumeric, 3rd is OOo
fstab: //x.x.x.x/documents /x/docums cifs user=adm,password=blabla,iocharset=utf8
Comment 9 Dave Jones 2005-10-05 18:20:15 EDT
If you can reproduce this bug on upstream kernels, reporting it to
linux-kernel@vger.kernel.org may get your problem fixed quicker.
Comment 10 Dave Jones 2005-12-28 00:09:02 EST
how come part of the ls output is localised, (Okt) and the rest isn't ? Are they
from different machines ? If so, do they have different umask settings ?
Comment 11 Maxim Britov 2006-03-03 04:48:18 EST
After cifs's mount options tuned, OOo seems works also.
I not expert and I doesn't know why some soft worked and some not :(
I have only one 2.6.16 related issue now with cifs

Comment 12 chuck 2006-06-27 01:22:26 EDT
I had a problem like this.  Fixed with adding "setuids" in fstab line. 
uig=100,gid=100, were in there too, being my user id and group id.  Files were 
then created with me as owner instead of root.    
Comment 13 Dave Jones 2006-10-16 20:01:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 14 Dave Jones 2006-11-24 17:50:28 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.